be.fgov.ehealth.hubservices.core.v2

## Class PutTransactionRequest

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.PutTransactionRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:42:54+01:00",
                 comments="JAXB RI v2.3.7")
      public class PutTransactionRequest
      extends Object
      implements Serializable

  Java class for PutTransactionRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PutTransactionRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
               <element name="kmehrmessage" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}kmehrmessageType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PutTransactionRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Kmehrmessage` | `getKmehrmessage()` Gets the value of the kmehrmessage property.
    `RequestType` | `getRequest()` Gets the value of the request property.
    `void` | `setKmehrmessage(Kmehrmessage value)` Sets the value of the kmehrmessage property.
    `void` | `setRequest(RequestType value)` Sets the value of the request property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PutTransactionRequest

          public PutTransactionRequest()

  - ### Method Detail

    - #### getRequest

          public RequestType getRequest()

      Gets the value of the request property.
      Returns:
        possible object is `RequestType`

    - #### setRequest

          public void setRequest(RequestType value)

      Sets the value of the request property.
      Parameters:
        `value` - allowed object is `RequestType`

    - #### getKmehrmessage

          public Kmehrmessage getKmehrmessage()

      Gets the value of the kmehrmessage property.
      Returns:
        possible object is `Kmehrmessage`

    - #### setKmehrmessage

          public void setKmehrmessage(Kmehrmessage value)

      Sets the value of the kmehrmessage property.
      Parameters:
        `value` - allowed object is `Kmehrmessage`

Connector Packaging PERSNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.